## class osgParticle::ForceOperator

> An operator that applies a constant force to the particles.

## Inheritance:

### Public Methods

META_Object(osgParticle, ForceOperator)
inline ForceOperator()
inline ForceOperator(const ForceOperator &copy, const osg::CopyOp &copyop)
inline const osg::Vec3& getForce() const
  Get the force vector
inline void setForce(const osg::Vec3 &v)
  Set the force vector
inline void operate(Particle* P, double dt)
  Apply the force to a particle.
inline void beginOperate(Program* prg)
  Perform some initialization.

### Protected Methods

virtual ~ForceOperator()
ForceOperator& operator=(const ForceOperator &)

### Inherited from Operator:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void endOperate()
inline bool isEnabled() const
inline void setEnabled(bool v)

## Documentation

> An operator that applies a constant force to the particles. Remember that if the mass of particles is expressed in kg and the lengths are expressed in meters, then the force should be expressed in Newtons.

`META_Object(osgParticle, ForceOperator)`

`virtual ~ForceOperator()`

`ForceOperator& operator=(const ForceOperator &)`

`inline ForceOperator()`

`inline ForceOperator(const ForceOperator &copy, const osg::CopyOp &copyop)`

`inline const osg::Vec3& getForce() const`
  Get the force vector

`inline void setForce(const osg::Vec3 &v)`
  Set the force vector

`inline void operate(Particle* P, double dt)`
  Apply the force to a particle. Do not call this method manually.

`inline void beginOperate(Program* prg)`
  Perform some initialization. Do not call this method manually.

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.